## Class TTextBoxAutoCompleteType

Description

TTextBoxAutoCompleteType class.

TTextBoxAutoCompleteType defines the possible AutoComplete type that is supported by a TTextBox control.

- since: 3.0.4
- version: $Id: TTextBox.php 1850 2007-04-09 03:32:50Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TTextBox.php (line 585)

    TEnumerable
       |
       --TTextBoxAutoCompleteType

Class Constant Summary
BusinessCity = 'BusinessCity'
BusinessCountryRegion = 'BusinessCountryRegion'
BusinessFax = 'BusinessFax'
BusinessPhone = 'BusinessPhone'
BusinessState = 'BusinessState'
BusinessStreetAddress = 'BusinessStreetAddress'
BusinessUrl = 'BusinessUrl'
BusinessZipCode = 'BusinessZipCode'
Cellular = 'Cellular'
Company = 'Company'
Department = 'Department'
Disabled = 'Disabled'
DisplayName = 'DisplayName'
Email = 'Email'
FirstName = 'FirstName'
Gender = 'Gender'
HomeCity = 'HomeCity'
HomeCountryRegion = 'HomeCountryRegion'
HomeFax = 'HomeFax'
Homepage = 'Homepage'
HomePhone = 'HomePhone'
HomeState = 'HomeState'
HomeStreetAddress = 'HomeStreetAddress'
HomeZipCode = 'HomeZipCode'
JobTitle = 'JobTitle'
LastName = 'LastName'
MiddleName = 'MiddleName'
None = 'None'
Notes = 'Notes'
Office = 'Office'
Pager = 'Pager'
Search = 'Search'
Class Constants
BusinessCity = 'BusinessCity' (line 587)
BusinessCountryRegion = 'BusinessCountryRegion' (line 588)
BusinessFax = 'BusinessFax' (line 589)
BusinessPhone = 'BusinessPhone' (line 590)
BusinessState = 'BusinessState' (line 591)
BusinessStreetAddress = 'BusinessStreetAddress' (line 592)
BusinessUrl = 'BusinessUrl' (line 593)
BusinessZipCode = 'BusinessZipCode' (line 594)
Cellular = 'Cellular' (line 595)
Company = 'Company' (line 596)
Department = 'Department' (line 597)
Disabled = 'Disabled' (line 598)
DisplayName = 'DisplayName' (line 599)
Email = 'Email' (line 600)
FirstName = 'FirstName' (line 601)
Gender = 'Gender' (line 602)
HomeCity = 'HomeCity' (line 603)
HomeCountryRegion = 'HomeCountryRegion' (line 604)
HomeFax = 'HomeFax' (line 605)
Homepage = 'Homepage' (line 606)
HomePhone = 'HomePhone' (line 607)
HomeState = 'HomeState' (line 608)
HomeStreetAddress = 'HomeStreetAddress' (line 609)
HomeZipCode = 'HomeZipCode' (line 610)
JobTitle = 'JobTitle' (line 611)
LastName = 'LastName' (line 612)
MiddleName = 'MiddleName' (line 613)
None = 'None' (line 614)
Notes = 'Notes' (line 615)
Office = 'Office' (line 616)
Pager = 'Pager' (line 617)
Search = 'Search' (line 618)

Documentation generated on Mon, 21 Apr 2008 11:36:34 -0400 by phpDocumentor 1.3.0RC4